<?php
interface Output {
	/**
	 * Output les données envoyés en paramètre
	 * 
	 * @param (Mixed) $output
	 */
	 
	public static function output($output);
	
	/**
	 * Ajoute un entête. 
	 * 
	 * @param (String) $header
	 */
	
	public static function addHeader($nom, $contenu);
	
	/**
	 * Retourne l'encodage utilisé dans la page
	 * 
	 * @return (String)
	 */
	
	public static function getCharset();
	
	/**
	 * Définit l'encodage utilisé dans la page
	 * 
	 * @param (String)
	 */
	
	public static function setCharset($charset);
	
	/**
	 * Fonction appelé par la classe principale quand la page est fini d'être exécuté
	 */
	 
	public static function finish();
	
	/**
	 * Fonction à utiliser pour définir le mode de sortie
	 */
	
	public static function touch();
}
?>
